cluster_infomap {igraph} | R Documentation

## Infomap community finding

### Description

Find community structure that minimizes the expected description length of a random walker trajectory

### Usage

    cluster_infomap(graph, e.weights = NULL, v.weights = NULL, nb.trials = 10,
      modularity = TRUE)

### Arguments

`graph` | The input graph.
`e.weights` | If not `NULL`, then a numeric vector of edge weights. The length must match the number of edges in the graph. By default the ‘`weight`’ edge attribute is used as weights. If it is not present, then all edges are considered to have the same weight. Larger edge weights correspond to stronger connections.
`v.weights` | If not `NULL`, then a numeric vector of vertex weights. The length must match the number of vertices in the graph. By default the ‘`weight`’ vertex attribute is used as weights. If it is not present, then all vertices are considered to have the same weight. A larger vertex weight means a larger probability that the random surfer jumps to that vertex.
`nb.trials` | The number of attempts to partition the network (can be any integer value equal or larger than 1).
`modularity` | Logical scalar, whether to calculate the modularity score of the detected community structure.

### Details

Please see the details of this method in the references given below.

### Value

`cluster_infomap` returns a `communities` object, please see the `communities` manual page for details.

### Author(s)

Martin Rosvall (http://www.tp.umu.se/~rosvall/) wrote the original C++ code. This was ported to be more igraph-like by Emmanuel Navarro (http://enavarro.me/). The R interface and some cosmetics was done by Gabor Csardi csardi.gabor@gmail.com.

### References

The original paper: M. Rosvall and C. T. Bergstrom, Maps of information flow reveal community structure in complex networks, PNAS 105, 1118 (2008) http://dx.doi.org/10.1073/pnas.0706851105, http://arxiv.org/abs/0707.0609

A more detailed paper: M. Rosvall, D. Axelsson, and C. T. Bergstrom, The map equation, Eur. Phys. J. Special Topics 178, 13 (2009). http://dx.doi.org/10.1140/epjst/e2010-01179-1, http://arxiv.org/abs/0906.1405.

### See Also

Other community finding methods and `communities`.

### Examples

    ## Zachary's karate club
    g <- make_graph("Zachary")

    imc <- cluster_infomap(g)
    membership(imc)
    communities(imc)

[Package igraph version 1.1.2 Index]